{
    attributes = (
        {
            columnName = "DATE_CREATION"; 
            externalType = DATE; 
            name = dateCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "DATE_MODIFICATION"; 
            externalType = DATE; 
            name = dateModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "DPP_ID"; 
            externalType = NUMBER; 
            name = dppId; 
            precision = 10; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            allowsNull = Y; 
            columnName = "IMSUS_COMMENTAIRE"; 
            externalType = VARCHAR2; 
            name = imsusCommentaire; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1000; 
        }, 
        {
            columnName = "IMSUS_DEBUT"; 
            externalType = DATE; 
            name = imsusDebut; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "IMSUS_ETAT"; 
            externalType = NUMBER; 
            name = imsusEtat; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "IMSUS_FIN"; 
            externalType = DATE; 
            name = imsusFin; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "IMSUS_ID"; 
            externalType = NUMBER; 
            name = imsusId; 
            precision = 10; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            columnName = "IMSUS_TYPE"; 
            externalType = VARCHAR2; 
            name = imsusType; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "UTL_ORDRE"; 
            externalType = NUMBER; 
            name = utlOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (dppId, imsusId, imsusType); 
    className = "org.cocktail.maracuja.server.metier.EOImSuspension"; 
    classProperties = (
        dateCreation, 
        dateModification, 
        imsusCommentaire, 
        imsusDebut, 
        imsusFin, 
        imsusType, 
        jdDepensePapier, 
        typeEtat, 
        utilisateur
    ); 
    externalName = "maracuja.IM_SUSPENSION"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            dateCreation, 
            dateModification, 
            imsusCommentaire, 
            imsusDebut, 
            imsusFin, 
            imsusType, 
            jdDepensePapier, 
            typeEtat, 
            utilisateur
        ); 
        "_javaClientClassName" = "org.cocktail.maracuja.client.metier.EOImSuspension"; 
    }; 
    name = ImSuspension; 
    primaryKeyAttributes = (imsusId); 
    relationships = (
        {
            destination = JdDepensePapier; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = dppId; sourceAttribute = dppId; }); 
            name = jdDepensePapier; 
        }, 
        {
            destination = TypeEtat; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tyetId; sourceAttribute = imsusEtat; }); 
            name = typeEtat; 
        }, 
        {
            destination = Utilisateur; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = utlOrdre; sourceAttribute = utlOrdre; }); 
            name = utilisateur; 
        }
    ); 
}
